The Wine development release 1.9.24 is now available.

What's new in this release (see below for details):
  - Support for unordered access views in Direct3D.
  - Many fixes in the regression tests.
  - Some more improvements in HID support.
  - Various bug fixes.

The source is available from the following locations:

  http://dl.winehq.org/wine/source/1.9/wine-1.9.24.tar.bz2
  http://mirrors.ibiblio.org/wine/source/1.9/wine-1.9.24.tar.bz2

Binary packages for various distributions will be available from:

  http://www.winehq.org/download

You will find documentation on http://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check http://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 1.9.24 (total 28):

  33636  wine cmd: invalid behaviour of '&' operator
  35343  dialog windows are too large
  35658  Anthem Room Correction 2 v1.0.1 reports 'Unknown COM error 0x80004001' (needs IAudioEndpointVolume::GetVolumeRange method implementation)
  36115  cabinet/fdi tests show some valgrind warnings
  38768  Stronghold 2 hangs when started.
  39724  Need For Speed Underground 2 crashes after several minutes of playing
  39734  ProtectDisc Driver 11: acedrv11.sys crashes
  40366  Avatarika installer fails
  40595  gdiplus:metafile test regression (test_frameunit)
  40596  gdiplus:metafile test regression (test_nullframerect)
  40695  Crash in Fallout New Vegas
  40791  N-Ball editor shows only a blackscreen
  40996  Deus Ex:Human Revolution fails to start when using DX11 renderer
  41021  Zombie Army trilogy needs msvcr100.dll._fpieee_flt
  41087  UE4 games (The Vanishing of Ethan Carter Redux, The Solus Project) crash while loading with "D3D11Query.cpp:139 # with error E_INVALIDARG"
  41090  Multiple games (Starcraft 2, UE4 games) require vcruntime140.dll.__intrinsic_setjmp
  41290  DirectShow applications: MP3 playback is broken if winegstreamer is disabled
  41308  iconfig.exe needs msvcr120.??0_Condition_variable@details@Concurrency@@QAE@XZ
  41451  Motocross madness: missing names of players
  41602  Videos do not play in Age of Empires
  41640  add rx 480 into directx.c
  41671  GOG Galaxy requires unimplemented function vcruntime140.dll.__std_terminate
  41683  Gauntlet start background is corrupted.
  41695  LeagueClient.exe Call to unimplemented function api-ms-win-crt-math-l1-1-0.dll.nearbyint
  41705  Build fails in dpnet: redefinition of typedef 'SOCKADDR'
  41719  crypt32:store test regression in testRegStoreSavedCerts()
  41721  hidtest.exe crashes on unimplemented function hid.dll.HidP_GetSpecificButtonCaps
  41736  build error: configure detects udev only partly

----------------------------------------------------------------

Changes since 1.9.23:

Akihiro Sagawa (2):
      strmbase: Add null pointer checks to BaseControlVideoImpls.
      wineqtdecoder: Always pass non-NULL preferred allocator to IAsyncReader::RequestAllocator.

Alex Henrie (3):
      winegstreamer: Fix memory leaks in amt_from_gst_caps_video.
      winegstreamer: If no audio media type was allocated, don't free it.
      winegstreamer: Remove redundant null check before g_error_free.

Alexandre Julliard (1):
      configure: Add fallback link command line for libudev.

Alistair Leslie-Hughes (1):
      dpnet: Header files cleanup.

Andrey Gusev (10):
      api-ms-win-security-lsalookup-l2-1-1: Add dll.
      api-ms-win-security-lsapolicy-l1-1-0: Add dll.
      make_specfiles: Add api-ms-win-security-lsalookup-l1-1-1 to advapi32 group.
      api-ms-win-core-com-private-l1-1-0: Add dll.
      api-ms-win-devices-config-l1-1-1: Add dll.
      api-ms-win-devices-query-l1-1-1: Add dll.
      ext-ms-win-domainjoin-netjoin-l1-1-0: Add dll.
      api-ms-win-power-base-l1-1-0: Add dll.
      api-ms-win-power-setting-l1-1-0: Add dll.
      api-ms-win-appmodel-identity-l1-1-0: Add dll.

Aric Stewart (6):
      hid: Correct issues with getting packed values.
      hid: Fix HidP_MaxUsageListLength to handle UsagePage == 0 properly.
      hid: Implement HidP_GetSpecificValueCaps.
      hidclass.sys: Handle POP and PUSH in device descriptors.
      hidclass.sys: Handle descriptors with a usage count less than the report bits.
      hid: Implement HidP_GetSpecificButtonCaps.

Bruno Jesus (4):
      msvfw32/tests: Add tests for ICInfo().
      msvfw32: Allow ICInfo to enumerate codecs when fccType is zero.
      krnl386.exe16: Honour segment prefix override for outs[bwd] instruction.
      quartz: Take MP3 padding bit into account when calculating the block size.

Carlo Bramini (5):
      wininet: Use return value of sprintf() instead of calling strlen() and simplify code.
      wldap32: Use return value of sprintf() instead of hardcoding the number of written characters.
      wintrust: Use return value of sprintf() instead of calling strlen().
      wordpad: Use return value of LoadStringW() instead of calling lstrlenW().
      winhttp: Use return value of sprintf() instead of calling strlen() and simplify code.

Carlos Garnacho (1):
      winex11: Always use the client pointer for raw events.

Daniel Lehman (6):
      shlwapi: Make ParseURL case-insensitive.
      urlmon: Fix buffer overflow in parse_canonicalize.
      opengl32: Set last error on invalid hdc to wglCreateContextAttribsARB.
      opengl32: Set last error on invalid share in wglCreateContextAttribsARB.
      gdi32: Initialize rgbReserved to zero in SetDIBColorTable.
      oleaut32/tests: Fix type descriptions leak (valgrind).

Detlef Riekenberg (1):
      cabinet: Properly initialize internal fci structure (Valgrind).

Donat Enikeev (2):
      crypt32/tests: Fix regression on Win7 with unprivileged run.
      crypt32/tests: Fix chain tests failure with cs.standford.edu certificates.

Erich Hoover (1):
      user32/tests: Fix an inconsistent test case in clearing the clipboard.

Fabian Maurer (1):
      dmloader: Better error reporting in IDirectMusicLoaderImpl_SetObject.

Flávio J. Saraiva (2):
      cmd/tests: 'no echo' character with chains and brackets.
      cmd/tests: Add test for chaining rules.

François Gouget (1):
      crypt32/tests: Add a trailing '\n' to ok() calls.

Grant Paul (1):
      xmllite: Parse URLs in `DOCTYPE PUBLIC` DTDs.

Grazvydas Ignotas (1):
      wined3d: Add Polaris GPUs and their driver.

Hadrien Boizard (1):
      comctl32: Use wine_dbgstr_point in TRACES.

Hans Leidekker (12):
      wbemprox: Implement Win32_OperatingSystem.TotalVirtualMemorySize.
      wbemprox: Implement Win32_PhysicalMemory.MemoryType.
      winhttp/tests: Fix test failures on Windows XP.
      webservices/tests: Mark some test results as broken.
      webservices/tests: Fix argument order in WsCreateMessage calls (Clang).
      webservices: Fix calculation of the end of a UTF-8 sequence.
      webservices: Add support for repeating element field mappings in WsWriteType.
      webservices: Add support for serializing array parameters in WsCall.
      wbemprox: Return a non-null UUID for Win32_ComputerSystemProduct.UUID if nothing better is available.
      wbemprox: Return the machine ID for Win32_ComputerSystemProduct.UUID on Linux.
      rpcrt4: Handle NULL binding in RpcBindingInqAuthClient{,Ex}.
      shell32: Implement IKnownFolderManager::GetFolderByName.

Henri Verbeet (7):
      gdi32: Add support for D3DDDIFMT_A4R4G4B4 and D3DDDIFMT_X4R4G4B4 to D3DKMTCreateDCFromMemory().
      wined3d: Support wined3d_texture_get_dc() on WINED3DFMT_B4G4R4A4_UNORM and WINED3DFMT_B4G4R4X4_UNORM textures.
      wined3d: Disable GL_TEXTURE_2D again in check_filter().
      wined3d: The drawable is a valid location for offscreen textures when "AlwaysOffscreen" is disabled.
      wined3d: Properly check for the required extensions before selecting the GLSL FFP implementations.
      wined3d: Don't require the ARB program shader backend for the ARB fragment program FFP implementation.
      wined3d: Prefer shader backends that support both vertex and fragment shaders over ones that support only either.

Hugh McMaster (2):
      reg/tests: Add more tests for 'reg import'.
      regedit/tests: Test if the final line is imported if it doesn't end in a newline.

Huw D. M. Davies (7):
      user32/tests: Don't perform character lookup ToUnicode() tests on non-US keyboards.
      kernel32/tests: Add some GetLastError() values for Windows 8 and 10.
      kernel32/tests: On failure don't test the returned count - it contains random data on Windows 8 and 10.
      kernel32/tests: VerifyConsoleIoHandle() always returns FALSE on Windows 8 and 10.
      ntdll/tests: Listen on the pipe to allow the client to connect on Windows 8 and 10.
      user32/tests: Mark built-in wndproc auto-detection behaviour as broken on Windows 8 and 10.
      ntdll/tests: The fpu exception offset is broken on 32-bit Windows 8 too.

Jacek Caban (3):
      advapi32/tests: Added TokenIsAppContainer tests.
      ntdll: Added TokenIsAppContainer semi-stub implementation.
      mshtml: Added IHTMLDocument3::dir property implementation.

Julian Rüger (1):
      po: Update German translation.

Józef Kucia (26):
      wined3d: Extend wined3d_texture_upload_data() to support partial uploads.
      wined3d: Use wined3d_texture_upload_data() in wined3d_device_update_sub_resource().
      wined3d: Implement wined3d_update_sub_resource() for 3D textures.
      d3d11: Lie about threading support.
      wined3d: Add support for WINED3DFMT_R16_SNORM format.
      wined3d: Add support for WINED3DFMT_R8_SNORM format.
      wined3d: Add support for WINED3DFMT_R16G16B16A16_SNORM format.
      d3d11/tests: Add test for occlusion query.
      wined3d: Increase data size for occlusion queries to 8 bytes.
      d3d11: Return E_INVALIDARG from GetData() when "data" is NULL and "data_size" is non-zero.
      wined3d: Use glGetQueryObjectui64v() for occlusion queries when available.
      d3d11/tests: Add test for occlusion query with result bigger than UINT32_MAX.
      wined3d: Do not record sampler usage for UAVs.
      wined3d: Add ARB_shader_image_load_store extension.
      wined3d: Generate GLSL declarations for UAVs.
      wined3d: Introduce wined3d_device_set_unordered_access_view().
      d3d11: Implement UAV binding.
      wined3d: Invalidate texture locations while binding UAVs.
      wined3d: Implement SM5 atomic_iadd instruction.
      wined3d: Add support for UAV reads.
      wined3d: Synchronize shader memory accesses after each draw call.
      d3d11/tests: Add test for 2D texture UAV in pixel shader.
      wined3d: Extract resource type info to shared table.
      d3d10core/tests: Port test_occlusion_query() from d3d11.
      d3d9/tests: Add test for occlusion query with result bigger than UINT32_MAX.
      wined3d: Increase shader resource limit to MAX_SHADER_RESOURCE_VIEWS.

Lauri Kenttä (1):
      po: Update Finnish translation.

Matteo Bruni (2):
      include: Fix FACILITY_AUDCLNT defines.
      include: Add d3d11 error codes.

Michael Müller (1):
      msvfw32: Use case insensitive compare in ICInfo for fourcc codes.

Michael Stefaniuc (2):
      winepulse: Avoid casting a COM object to an interface.
      mshtml: Avoid a cast from a COM object to an interface.

Mingcong Bai (1):
      po: Update Simplified Chinese translation.

Nikolay Sivov (26):
      include: Add d3dx11 error codes.
      d3dx11: Implement async data loader interfaces.
      mshtml: Fix BSTR leak in SetReferrerWithPolicy() (Valgrind).
      mshtml: Fix some IUri leaks (Valgrind).
      mshtml: Fix outer window url leak (Valgrind).
      mshtml: Fix uri builder leak on nsIFileURL release (Valgrind).
      mshtml/tests: Fix some BSTR leaks in various tests (Valgrind).
      ieframe/tests: Fix BSTR leak (Valgrind).
      ieframe: Fix moniker leak on error path.
      oledb32: Use growing array to store error records.
      oledb32: IErrorRecords uses 0-based index to access record info.
      oledb32: Implement GetCustomErrorObject().
      oledb32: Implement GetBasicErrorInfo().
      oledb32: Use better naming for IErrorRecords implementation structure.
      oledb32: Implement GetErrorParameters().
      dwrite: Make it clear that wine_dbgstr_longlong() output is in hex.
      d2d1: Implement DrawLine() over DrawGeometry() for a linear path.
      d2d1: Store stroke style properties, implement methods returning them.
      shell32: Use interface pointers instead of a pointer to implementation structure.
      d2d1: Implement retrieving dash pattern data for stroke styles.
      d2d1: Fix GetGradientStops() when asked for more stops than collection has.
      strmbase: Remove a couple of redundant statements in Release() methods.
      strmbase: Allocate sample list as a part of queue structure.
      strmbase: Use wine_dbgstr_longlong() to trace REFERENCE_TIME arguments.
      strmbase: Remove some of casts to interface pointers.
      quartz: Use wine_dbgstr_longlong() to trace REFERENCE_TIME.

Piotr Caban (6):
      msvcrt: Improve multibyte characters support in printf.
      vcruntime140: Add __std_terminate implementation.
      ucrtbase: Add __intrinsic_setjmp implementation.
      msvcr110: Add Concurrency::details::_Condition_variable class stub.
      msvcr120: Add _Condition_variable implementation.
      msvcr120: Add _Condition_variable tests.

Stefan Dösinger (4):
      ddraw: Use wined3d_device_process_vertices for execute buffers.
      ddraw: Avoid redundant index buffer discards.
      ddraw: Avoid redundant src vertex buffer discards.
      ddraw: Implement executebuffer point and line draws.

Stefan Silviu (1):
      msvcrt: Implement nearbyint and nearbyintf.

--
Alexandre Julliard
julliard@winehq.org
